Last Comment Bug 751544 - Random orange: TEST-UNEXPECTED-FAIL | test_imapPump.js | PROCESS-CRASH (Using observer service off the main thread)
: Random orange: TEST-UNEXPECTED-FAIL | test_imapPump.js | PROCESS-CRASH (Using...
Status: RESOLVED FIXED
: intermittent-failure
Product: MailNews Core
Classification: Components
Component: Networking: IMAP (show other bugs)
: 12
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Hiroyuki Ikezoe (:hiro)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 06:06 PDT by Mark Banner (:standard8)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Set dummy msgwindow instead of null (1.51 KB, patch)
2012-06-19 22:53 PDT, Hiroyuki Ikezoe (:hiro)
mozilla: review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2012-05-03 06:06:38 PDT
With the new try server, we're getting debug unit test builders up and running. I've just seen this failure on one of them:

https://tbpl.mozilla.org/php/getParsedLog.php?id=11425019&tree=Thunderbird-Try

TEST-INFO | (xpcshell/head.js) | exiting test
WARNING: An event was posted to a thread that will never run it (rejected): file ../../../../mozilla/xpcom/threads/nsThread.cpp, line 392
WARNING: unable to post continuation event: file ../../../../mozilla/xpcom/io/nsStreamUtils.cpp, line 471

TEST-PASS | (xpcshell/head.js) | 2 (+ 0) check(s) passed

TEST-INFO | (xpcshell/head.js) | 0 check(s) todo
WARNING: nsExceptionService ignoring thread destruction after shutdown: file ../../../../mozilla/xpcom/base/nsExceptionService.cpp, line 199
WARNING: NS_ENSURE_TRUE(thread) failed: file ../../../../../mozilla/netwerk/base/src/nsSocketTransportService2.cpp, line 148
###!!! ASSERTION: Using observer service off the main thread!: 'Error', file ../../../../mozilla/xpcom/ds/nsObserverService.cpp, line 143

PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)

Stack:

0  libmozalloc.so!TouchBadMemory [mozalloc_abort.cpp : 68 + 0x4]
    rbx = 0x025a2d78   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x983c54ec   rsp = 0x6b5fd110   rbp = 0x6b5fd110
    Found by: given as instruction pointer in context
 1  libmozalloc.so!mozalloc_abort [mozalloc_abort.cpp : 89 + 0x4]
    rbx = 0x025a2d78   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x983c5540   rsp = 0x6b5fd120   rbp = 0x6b5fd130
    Found by: call frame info
 2  libxul.so!Abort [nsDebugImpl.cpp : 417 + 0xb]
    rbx = 0x025a2d78   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x95943adc   rsp = 0x6b5fd140   rbp = 0x6b5fd150
    Found by: call frame info
 3  libxul.so!NS_DebugBreak_P [nsDebugImpl.cpp : 404 + 0xe]
    rbx = 0x025a2d78   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x95943aaa   rsp = 0x6b5fd160   rbp = 0x6b5fd5a0
    Found by: call frame info
 4  libxul.so!nsObserverService::RemoveObserver [nsObserverService.cpp : 143 + 0x30]
    rbx = 0x025a2d78   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x958eaed3   rsp = 0x6b5fd5b0   rbp = 0x6b5fd5f0
    Found by: call frame info
 5  libxul.so!nsPrefBranch::~nsPrefBranch [nsPrefBranch.cpp : 119 + 0x2c]
    rbx = 0x025a2d78   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x93da1162   rsp = 0x6b5fd600   rbp = 0x6b5fd640
    Found by: call frame info
 6  libxul.so!nsPrefBranch::~nsPrefBranch [nsPrefBranch.cpp : 120 + 0xb]
    rbx = 0x0271a020   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x93da11de   rsp = 0x6b5fd650   rbp = 0x6b5fd670
    Found by: call frame info
 7  libxul.so!nsPrefBranch::Release [nsPrefBranch.cpp : 128 + 0xa3]
    rbx = 0x0271a020   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x93da133a   rsp = 0x6b5fd680   rbp = 0x6b5fd6a0
    Found by: call frame info
 8  libxul.so!nsCOMPtr<nsIPrefBranch>::~nsCOMPtr [try-comm-central::e90c6392f4ac : 521 + 0x1c]
    rbx = 0x0271a020   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x93b797c0   rsp = 0x6b5fd6b0   rbp = 0x6b5fd6c0
    Found by: call frame info
 9  libxul.so!nsMsgIncomingServer::~nsMsgIncomingServer [nsMsgIncomingServer.cpp : 96 + 0x72]
    rbx = 0x0271a020   r12 = 0x9552380e   r13 = 0x00000000   r14 = 0x80004005
    r15 = 0x00000003   rip = 0x9524680d   rsp = 0x6b5fd6d0   rbp = 0x6b5fd6f0

So the incoming server is being released late or something?
Comment 1 David :Bienvenu 2012-05-03 07:13:01 PDT
no, this usually means we're still talking to the imap server while shutdown is happening. I'll look at the test in a bit.
Comment 2 Treeherder Robot 2012-05-08 01:54:09 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11560329&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2012-05-08 00:42:16
slave: talos-r3-fed64-062

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 3 Treeherder Robot 2012-05-08 11:49:20 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11573639&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2012-05-08 09:02:37
slave: talos-r3-fed64-038

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 4 Treeherder Robot 2012-05-08 18:19:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11572942&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2012-05-08 08:36:44
slave: talos-r3-fed64-041

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 5 Treeherder Robot 2012-05-09 09:57:57 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11609118&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2012-05-09 08:18:50
slave: talos-r3-fed64-021

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 6 Treeherder Robot 2012-05-10 05:04:55 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11636776&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora debug test xpcshell on 2012-05-10 01:15:17
slave: talos-r3-fed-066

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 7 Treeherder Robot 2012-05-11 05:49:20 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11644429&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora debug test xpcshell on 2012-05-10 07:11:36
slave: talos-r3-fed-020

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 8 Treeherder Robot 2012-05-11 05:49:43 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11673325&tree=Thunderbird-Beta
TB Rev3 Fedora 12x64 comm-beta debug test xpcshell on 2012-05-11 03:52:16
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 9 Treeherder Robot 2012-05-14 15:16:10 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11730262&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2012-05-14 10:50:03
slave: talos-r3-fed-074

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 10 Treeherder Robot 2012-05-15 09:49:49 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11766077&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2012-05-15 08:08:20
slave: talos-r3-fed-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 11 Treeherder Robot 2012-05-15 23:43:42 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11779069&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2012-05-15 14:47:36
slave: talos-r3-fed-071

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 12 Treeherder Robot 2012-05-18 09:37:32 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11866294&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2012-05-18 08:39:32
slave: talos-r3-fed64-031

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 13 Treeherder Robot 2012-05-19 14:50:20 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11894815&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2012-05-19 13:56:41
slave: talos-r3-fed64-027

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 14 Treeherder Robot 2012-05-24 07:09:55 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12026291&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2012-05-24 05:53:33
slave: talos-r3-fed-038

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 15 Treeherder Robot 2012-05-24 07:11:03 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12026826&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2012-05-24 06:14:36
slave: talos-r3-fed64-003

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 16 Treeherder Robot 2012-05-25 09:11:49 PDT
florian
https://tbpl.mozilla.org/php/getParsedLog.php?id=12058829&tree=Thunderbird-Beta
TB Rev3 Fedora 12 comm-beta debug test xpcshell on 2012-05-25 01:26:18
slave: talos-r3-fed-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 17 Treeherder Robot 2012-05-26 12:20:33 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12098267&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2012-05-26 07:49:42
slave: talos-r3-fed-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_mime_emitter.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_mime_emitter.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 18 Treeherder Robot 2012-05-28 10:59:32 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12133725&tree=Thunderbird-Beta
TB Rev3 Fedora 12 comm-beta debug test xpcshell on 2012-05-28 08:44:35
slave: talos-r3-fed-063

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 19 Treeherder Robot 2012-05-29 00:14:10 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12145090&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora debug test xpcshell on 2012-05-28 17:16:33
slave: talos-r3-fed-069

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 20 Treeherder Robot 2012-05-29 11:22:08 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12161977&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora debug test xpcshell on 2012-05-29 09:05:13
slave: talos-r3-fed-053

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 21 Treeherder Robot 2012-05-29 12:23:05 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12163024&tree=Thunderbird-Aurora
TB Rev3 Fedora 12x64 comm-aurora debug test xpcshell on 2012-05-29 09:37:48
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 22 Treeherder Robot 2012-06-04 02:11:43 PDT
florian
https://tbpl.mozilla.org/php/getParsedLog.php?id=12338863&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora debug test xpcshell on 2012-06-03 16:09:21
slave: talos-r3-fed-031

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 23 Treeherder Robot 2012-06-05 21:27:25 PDT
darktrojan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12404561&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2012-06-05 20:34:50
slave: talos-r3-fed64-040

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 24 Treeherder Robot 2012-06-05 23:12:56 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12396814&tree=Thunderbird-Beta
TB Rev3 Fedora 12 comm-beta debug test xpcshell on 2012-06-05 15:09:29
slave: talos-r3-fed-037

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 25 Treeherder Robot 2012-06-07 08:14:56 PDT
jcranmer
https://tbpl.mozilla.org/php/getParsedLog.php?id=12453468&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2012-06-07 07:17:54
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 26 Treeherder Robot 2012-06-12 07:01:09 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12586127&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora debug test xpcshell on 2012-06-12 04:49:49
slave: talos-r3-fed-053

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 27 Treeherder Robot 2012-06-12 08:12:48 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12589916&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora debug test xpcshell on 2012-06-12 07:14:14
slave: talos-r3-fed-037

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 28 Treeherder Robot 2012-06-12 11:23:06 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12594617&tree=Thunderbird-Aurora
TB Rev3 Fedora 12x64 comm-aurora debug test xpcshell on 2012-06-12 10:24:11
slave: talos-r3-fed64-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 29 Treeherder Robot 2012-06-12 13:38:49 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12598553&tree=Thunderbird-Aurora
TB Rev3 Fedora 12x64 comm-aurora debug test xpcshell on 2012-06-12 12:44:55
slave: talos-r3-fed64-027

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 30 Treeherder Robot 2012-06-14 23:28:35 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12681158&tree=Thunderbird-Release
TB Rev3 Fedora 12 comm-release debug test xpcshell on 2012-06-14 18:06:06
slave: talos-r3-fed-060

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 31 Treeherder Robot 2012-06-19 16:48:40 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12806510&tree=Thunderbird-Beta
TB Rev3 Fedora 12 comm-beta debug test xpcshell on 2012-06-19 15:42:24
slave: talos-r3-fed-004

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 32 Hiroyuki Ikezoe (:hiro) 2012-06-19 22:53:57 PDT
Created attachment 634767 [details] [diff] [review]
Set dummy msgwindow instead of null

I guess FetchMsgPreviewText is invoked when updateFolderWithListener is called on Linux.

http://mxr.mozilla.org/comm-central/source/mailnews/base/src/nsMessengerUnixIntegration.cpp#253

252   bool asyncResult = false;
253   nsresult rv = folder->FetchMsgPreviewText(&messageKey, 1,
254                                             localOnly, this,
255                                             &asyncResult);

So I suppose this is the culprit who is talking to the imap server while shutting down.

Also I suppose the fix for bug 766467 fixes this issue.
Comment 33 :Irving Reid (No longer working on Firefox) 2012-06-20 08:17:52 PDT
While the build isn't failing this test on other platforms right now, I routinely see the "Observer service used off main thread" exception on Mac OS X when shutting down TB debug builds. I haven't bothered to track it separately from my general "shutdown exceptions" bug, https://bugzilla.mozilla.org/show_bug.cgi?id=738778.

The fix you propose here looks good for the failing test, but I suspect we also need to fix some other things to completely solve the problem.
Comment 34 Hiroyuki Ikezoe (:hiro) 2012-06-20 15:36:57 PDT
(In reply to Irving Reid (:irving) from comment #33)
> While the build isn't failing this test on other platforms right now, I
> routinely see the "Observer service used off main thread" exception on Mac
> OS X when shutting down TB debug builds. I haven't bothered to track it
> separately from my general "shutdown exceptions" bug,
> https://bugzilla.mozilla.org/show_bug.cgi?id=738778.
> 
> The fix you propose here looks good for the failing test, but I suspect we
> also need to fix some other things to completely solve the problem.

Right. I've also seen a similar issue on shutting down. see bug 765958 c1.
Comment 35 Treeherder Robot 2012-06-25 08:32:32 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12970219&tree=Thunderbird-Beta
TB Rev3 Fedora 12 comm-beta debug test xpcshell on 2012-06-25 07:30:00
slave: talos-r3-fed-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 36 David :Bienvenu 2012-06-26 11:35:09 PDT
Comment on attachment 634767 [details] [diff] [review]
Set dummy msgwindow instead of null

thx, Hiro.
Comment 37 Ryan VanderMeulen [:RyanVM] 2012-06-27 16:59:31 PDT
https://hg.mozilla.org/comm-central/rev/b64833f40f05
Comment 38 Treeherder Robot 2012-06-27 17:51:08 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13021819&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2012-06-26 19:04:14
slave: talos-r3-fed-035

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_imapPump.js | application crashed (minidump found)
Thread 5 (crashed)
Comment 39 Ryan VanderMeulen [:RyanVM] 2012-06-27 17:52:21 PDT
Comment #38 is from prior to this landing.

Note You need to log in before you can comment on or make changes to this bug.